com.creamtec.ajaxswing.laf.ui

## Class AjaxSwingRootPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.RootPaneUI
    - - javax.swing.plaf.basic.BasicRootPaneUI
      - - javax.swing.plaf.metal.MetalRootPaneUI
        - - com.creamtec.ajaxswing.laf.ui.AjaxSwingRootPaneUI

- All Implemented Interfaces:
    java.beans.PropertyChangeListener, java.util.EventListener

      public class AjaxSwingRootPaneUI
      extends javax.swing.plaf.metal.MetalRootPaneUI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingRootPaneUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
    `void` | `installUI(javax.swing.JComponent c)`
    `void` | `propertyChange(java.beans.PropertyChangeEvent e)`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalRootPaneUI

      `uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingRootPaneUI

          public AjaxSwingRootPaneUI()

  - ### Method Detail

    - #### createUI

          public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

    - #### installUI

          public void installUI(javax.swing.JComponent c)

      Overrides:
        `installUI` in class `javax.swing.plaf.metal.MetalRootPaneUI`

    - #### propertyChange

          public void propertyChange(java.beans.PropertyChangeEvent e)

      Specified by:
        `propertyChange` in interface `java.beans.PropertyChangeListener`
      Overrides:
        `propertyChange` in class `javax.swing.plaf.metal.MetalRootPaneUI`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.